#ifndef _SCREEN_H_
#define _SCREEN_H_

#include <stdbool.h>
#include <stdint.h>

//i hate globals, but for 8051 this makes life a lot easier, sorry :(
extern uint8_t __xdata mScreenVcom;



#define SCREEN_WIDTH		640
#define SCREEN_HEIGHT		384
#define SCREEN_BPP			3		//effective
#define SCREEN_TX_BPP		4		//in transit

#define SCREEN_WIDTH_MM		163
#define SCREEN_HEIGHT_MM	98

#define SCREEN_BYTE_FILL	0x66	//white

void screenShutdown(void);

void screenTest(void);

void screenDegauss(uint8_t nIter);

void screenTxStart(__bit forPartial);

#pragma callee_saves screenByteTx
void screenByteTx(uint8_t byte);
void screenTxEnd(void);

void P1INT_ISR(void) __interrupt (15);


__xdata __at (0xfda2) uint8_t mScreenRow[320];	//350 bytes here, we use 320 of them

#endif
